# NoccyLabs PHP 8.3 Alpine All-in-One Base Image

This is an AIO container done mostly right. It contains Nginx, PHP 8.3 and FPM preconfigured. It also comes with a watchdog that ensures that a failure will bring down the container, allowing for self-healing by recreating containers.

## Features

* Nginx and PHP in a single container.
* Framework detection.
* Plenty of hooks.

## Frameworks

### Symfony

Symfony projects are detected from the `symfony.lock` file.

The support will ensure that composer is installed, and that the cache directory is writable.

#### BoltCMS

BoltCMS is detected and configured by the Symfony framework support script.

### Composer

While not a frarmework, as a last resort the presence of a `composer.json` file will trigger an install.
